<?php

require_once '../../lib/ehive_api_client-php-1.0.0/EHiveApi.php';

class GetObjectRecordsCommentsDemo {
	
	// Enter your eHive API Key credentials below
	private static $clientId = "";
	private static $clientSecret = "";
	private static $trackingId = "";
	
	private static $objectRecordId = 2509;
	private static $offset = 0;
	private static $limit = 12;
	
	public function printAccountInfo() {
		
		// Instantiate the EHiveApi object
		$eHiveApi = new EHiveApi(
				GetObjectRecordsCommentsDemo::$clientId, 
				GetObjectRecordsCommentsDemo::$clientSecret, 
				GetObjectRecordsCommentsDemo::$trackingId);
		
		// Invoke an API method
		$commentsCollection = $eHiveApi->getObjectRecordComments(
				GetObjectRecordsCommentsDemo::$objectRecordId, 
				GetObjectRecordsCommentsDemo::$offset, 
				GetObjectRecordsCommentsDemo::$limit);
		
		// Print some output using the returned comments collection object
		foreach ($commentsCollection->comments as $comment) {
			if ($comment->commentorEmailAddress) {
				echo "Commentor Email Address: " . $comment->commentorEmailAddress . "\n\n";
			}
			
			if ($comment->commentorName) {
				echo "Commentor name: " . $comment->commentorName . "\n\n";
			}
			
			if ($comment->commentText) {
				echo "Comment text: " . $comment->commentText  . "\n\n";
			}		
		}
		echo "\n\n";
	}
}

$getObjectRecordsCommentsDemo = new GetObjectRecordsCommentsDemo();

$getObjectRecordsCommentsDemo->printAccountInfo();
?>