<?php

require_once '../../lib/ehive_api_client-php-1.0.0/EHiveApi.php';
require_once '../../lib/ehive_api_client-php-1.0.0/domain/objectrecordtags/ObjectRecordTag.php';

class DeleteObjectRecordTagDemo {
	
	// Enter your eHive API Key credentials below
	private static $clientId = "";
	private static $clientSecret = "";
	private static $trackingId = "";
	
	private static $objectRecordId = 2509;
	
	
	public function printAccountInfo() {
		
		// Instantiate the EHiveApi object
		$eHiveApi = new EHiveApi(DeleteObjectRecordTagDemo::$clientId, 
								 DeleteObjectRecordTagDemo::$clientSecret, 
								 DeleteObjectRecordTagDemo::$trackingId);
		
		$objectRecordTag = new ObjectRecordTag();
		$objectRecordTag->cleanTagName = "Mermaid";
		
		// Invoke an API method
		$deletedTag = $eHiveApi->deleteObjectRecordTag(DeleteObjectRecordTagDemo::$objectRecordId, $objectRecordTag);
		
		// Print some output using the returned record tag object
		if ($deletedTag->rawTagName) {
			echo "Tag deleted: ";
			echo $deletedTag->rawTagName;
		}
		
		echo "\n\n";
		
	}
}

$deleteObjectRecordTagDemo = new DeleteObjectRecordTagDemo();

$deleteObjectRecordTagDemo->printAccountInfo();
?>