<?php

require_once '../../lib/ehive_api_client-php-1.0.0/EHiveApi.php';

class GetTagCloudInAccountDemo {
	
	// Enter your eHive API Key credentials below
	private static $clientId = "";
	private static $clientSecret = "";
	private static $trackingId = "";

	private static $accountId = 3406;
	private static $limit = 50;

	public function printTagCloudInAccountInfo() {
		
		// Instantiate the EHiveApi object
		$eHiveApi = new EHiveApi(
				GetTagCloudInAccountDemo::$clientId, 
				GetTagCloudInAccountDemo::$clientSecret, 
				GetTagCloudInAccountDemo::$trackingId);
		
		// Invoke an API method
		$tagCloudInAccount = $eHiveApi->getTagCloudInAccount(
				GetTagCloudInAccountDemo::$accountId, 
				GetTagCloudInAccountDemo::$limit);
		
		// Print some output using the returned tag cloud object
		$totalTagsFound = count($tagCloudInAccount->tagCloudTags);
		echo "\n\nTotal number of tags found: {$totalTagsFound} \n\n";
		echo "----------------------------------------------------------------------------\n\n";
		
		foreach ($tagCloudInAccount->tagCloudTags as $tagCloudTag) {
			echo "Tag:\t{$tagCloudTag->cleanTagName}\n";
			
		}
		echo "\n\n";
	}
}

$getTagCloudInAccountDemo = new GetTagCloudInAccountDemo();

$getTagCloudInAccountDemo->printTagCloudInAccountInfo();
?>