<?php

require_once '../../lib/ehive_api_client-php-1.0.0/EHiveApi.php';

class GetTagCloudInEHiveDemo {
	
	// Enter your eHive API Key credentials below
	private static $clientId = "";
	private static $clientSecret = "";
	private static $trackingId = "";

	private static $limit = 50;

	public function printTagCloudInEHiveInfo() {
		
		// Instantiate the EHiveApi object
		$eHiveApi = new EHiveApi(
				GetTagCloudInEHiveDemo::$clientId, 
				GetTagCloudInEHiveDemo::$clientSecret, 
				GetTagCloudInEHiveDemo::$trackingId);
		
		// Invoke an API method
		$tagCloudInEHive = $eHiveApi->getTagCloudInEHive(
				GetTagCloudInEHiveDemo::$limit);
		
		$totalTagsFound = count($tagCloudInEHive->tagCloudTags);
		
		// Print some output using the returned tag cloud object
		echo "\n\nTotal number of tags found: {$totalTagsFound} \n\n";
		echo "----------------------------------------------------------------------------\n\n";
		
		foreach ($tagCloudInEHive->tagCloudTags as $tagCloudTag) {
			echo "Tag: {$tagCloudTag->cleanTagName}\n";
			
		}
		echo "\n\n";
	}
}

$getObjectRecordsTagCloudInEHiveDemo = new GetTagCloudInEHiveDemo();

$getObjectRecordsTagCloudInEHiveDemo->printTagCloudInEHiveInfo();
?>