<?php

require_once '../../lib/ehive_api_client-php-1.0.0/EHiveApi.php';
require_once '../../lib/ehive_api_client-php-1.0.0/domain/objectrecordtags/ObjectRecordTag.php';

class AddObjectRecordTagDemo {
	
	// Enter your eHive API Key credentials below
	private static $clientId = "";
	private static $clientSecret = "";
	private static $trackingId = "";
	
	private static $objectRecordId = 2509;
	
	
	public function printAccountInfo() {
		
		// Instantiate the EHiveApi object
		$eHiveApi = new EHiveApi(AddObjectRecordTagDemo::$clientId, 
								 AddObjectRecordTagDemo::$clientSecret, 
								 AddObjectRecordTagDemo::$trackingId);
		
		$objectRecordTag = new ObjectRecordTag();
		$objectRecordTag->rawTagName = "Mermaid";
		
		// Invoke an API method
		$addedTag = $eHiveApi->addObjectRecordTag(AddObjectRecordTagDemo::$objectRecordId, $objectRecordTag);
		
		// Print some output using the returned record tag object
		if ($addedTag->rawTagName) {
			echo "Tag added: ";
			echo $addedTag->rawTagName;
		}
		
		echo "\n\n";
		
	}
}

$addObjectRecordTagDemo = new AddObjectRecordTagDemo();

$addObjectRecordTagDemo->printAccountInfo();
?>