<?php

require_once '../../lib/ehive_api_client-php-1.0.0/EHiveApi.php';

class GetObjectRecordTagsDemo {
	
	// Enter your eHive API Key credentials below
	private static $clientId = "";
	private static $clientSecret = "";
	private static $trackingId = "";
	
	private static $objectRecordId = 2509;
	
	
	public function printAccountInfo() {
		
		// Instantiate the EHiveApi object
		$eHiveApi = new EHiveApi(GetObjectRecordTagsDemo::$clientId, 
								 GetObjectRecordTagsDemo::$clientSecret, 
								 GetObjectRecordTagsDemo::$trackingId);
		
		// Invoke an API method
		$objectRecordTagsCollection = $eHiveApi->getObjectRecordTags(GetObjectRecordTagsDemo::$objectRecordId);
		
		$totalTagsFound = count($objectRecordTagsCollection->objectRecordTags);
		
		// Print some output using the returned record tags collection object
		echo "\n\nTotal number of tags found: {$totalTagsFound} \n\n";
		echo "----------------------------------------------------------------------------\n\n";
		
		foreach ($objectRecordTagsCollection->objectRecordTags as $objectRecordTag) {
			echo "Tag: {$objectRecordTag->rawTagName}\n";
			
		}
		
		echo "\n\n";
		
	}
}

$getObjectRecordTagsDemo = new GetObjectRecordTagsDemo();

$getObjectRecordTagsDemo->printAccountInfo();
?>